package com.zhongdao.jlr.business.vo;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

public class CouponRechargeJlr {
	private Integer id;
	private String vinCode;
	private String orderCode;
	private Date rechargeTime;//充值时间
	private Date overdueTime;//过期时间
	
	private Double rechargeCount;//充值金额
	private Double consumeCount;//已经消耗
	
	private String seateName;
	private String remark;
	private String serviceName;
	private Date createTime;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getVinCode() {
		return vinCode;
	}

	public void setVinCode(String vinCode) {
		this.vinCode = vinCode;
	}

	public String getOrderCode() {
		return orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public Date getRechargeTime() {
		return rechargeTime;
	}

	public void setRechargeTime(Date rechargeTime) {
		this.rechargeTime = rechargeTime;
	}

	public Date getOverdueTime() {
		return overdueTime;
	}

	public void setOverdueTime(Date overdueTime) {
		this.overdueTime = overdueTime;
	}

	public Double getRechargeCount() {
		return rechargeCount;
	}

	public void setRechargeCount(Double rechargeCount) {
		this.rechargeCount = rechargeCount;
	}

	public Double getConsumeCount() {
		return consumeCount;
	}

	public void setConsumeCount(Double consumeCount) {
		this.consumeCount = consumeCount;
	}

	public String getSeateName() {
		return seateName;
	}

	public void setSeateName(String seateName) {
		this.seateName = seateName;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Override
	public String toString() {
		return "CouponRechargeJlr{" +
				"id=" + id +
				", vinCode='" + vinCode + '\'' +
				", orderCode='" + orderCode + '\'' +
				", rechargeTime=" + rechargeTime +
				", overdueTime=" + overdueTime +
				", rechargeCount=" + rechargeCount +
				", consumeCount=" + consumeCount +
				", seateName='" + seateName + '\'' +
				", remark='" + remark + '\'' +
				", serviceName='" + serviceName + '\'' +
				", createTime=" + createTime +
				'}';
	}
}